{% extends 'main.html' %}

{% block content %}
    <style>
        .home-container {
            display: grid;
            grid-template-columns: 1fr 3fr;
        }
    </style>


    <div class="home-container">
        <div>
            <h3>Browser Topics</h3>
            <hr>
            <div>
                <div>
                    <a href="{% url 'home' %}">All</a>
                </div>
            </div>
            {% for topic in topics %}
                <div>
                    <a href="{% url 'home' %}?q={{ topic.name }}">{{ topic.name }}</a>
                </div>
            {% endfor %}
        </div>
        <div>
            <h5>{{ room_count }} rooms available</h5>
            <a href="{% url 'create-room' %}">Create Room</a>
            <div>
                {% for room in rooms %}
                    <div>
                        {% if request.user == room.host %}
                            <a href="{% url 'update-room' room.id %}">Edit</a>
                            <a href="{% url 'delete-room' room.id %}">Delete</a>
                        {% endif %}
                        <span>@{{ room.host.username }}</span>
                        <h5>{{ room.id }}--- <a href="{% url 'room' room.id %}">{{ room.name }}</a>
                        </h5>
                        <small>@{{ room.topic.name }}</small>
                        <hr>
                    </div>
                {% endfor %}
            </div>
        </div>

    </div>
{% endblock %}